import request from '@/utils/request'

// 查询日期最靠前的电厂大屏实时数据详细
export function getRealtimeByMaxDate() {
  return request({
    url: '/aspen/realtime/getInfoByMaxDate',
    method: 'get'
  })
}

// 查询【请填写功能名称】列表
export function listRealtime(query) {
  return request({
    url: '/aspen/realtime/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getRealtime(id) {
  return request({
    url: '/aspen/realtime/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addRealtime(data) {
  return request({
    url: '/aspen/realtime',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateRealtime(data) {
  return request({
    url: '/aspen/realtime',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delRealtime(id) {
  return request({
    url: '/aspen/realtime/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportRealtime(query) {
  return request({
    url: '/aspen/realtime/export',
    method: 'get',
    params: query
  })
}
